const autoprefixer = require('autoprefixer')
const purgecss = require('@fullhuman/postcss-purgecss')
const cssnano = require('cssnano')

module.exports = {
  plugins: [
    autoprefixer,
    purgecss({
      content: [
        "./js/**/*.js",
        "../lib/*_web.ex",
        "../lib/*_web/**/*.*ex"
      ],
      safelist: {
        deep: [
          /^phx/
        ]
      },
    }),
    cssnano({
      preset: 'default',
    })
  ],
};